import 'package:flutter/material.dart';
import 'themes.dart' as themes;

themes.CustomColors themeDark = themes.CustomColors(
  "gruvbox dark",
  const Color.fromARGB(255, 175, 58, 3),
  const ColorScheme(
    brightness: Brightness.dark,
    primary: Color.fromARGB(255, 211, 134, 155),
    onPrimary: Color.fromARGB(255, 29, 32, 33),
    secondary: Color.fromARGB(255, 184, 187, 38),
    onSecondary: Color.fromARGB(255, 29, 32, 33),
    error: Color.fromARGB(255, 251, 73, 52),
    onError: Color.fromARGB(255, 29, 32, 33),
    background: Color.fromARGB(255, 29, 32, 33),
    onBackground: Color.fromARGB(255, 249, 245, 215),
    surface: Color.fromARGB(255, 50, 48, 47),
    onSurface: Color.fromARGB(255, 249, 245, 215),
  ),
  const Color.fromARGB(255, 29, 32, 33),
);

themes.CustomColors themeLight = themes.CustomColors(
  "gruvbox light",
  const Color.fromARGB(255, 255, 190, 111),
  const ColorScheme(
    brightness: Brightness.light,
    primary: Color.fromARGB(255, 175, 58, 3),
    onPrimary: Color.fromARGB(255, 249, 245, 215),
    secondary: Color.fromARGB(255, 121, 116, 14),
    onSecondary: Color.fromARGB(255, 249, 245, 215),
    error: Color.fromARGB(255, 255, 85, 85),
    onError: Color.fromARGB(255, 249, 245, 215),
    background: Color.fromARGB(255, 242, 229, 188),
    onBackground: Color.fromARGB(255, 29, 32, 33),
    surface: Color.fromARGB(255, 249, 245, 215),
    onSurface: Color.fromARGB(255, 29, 32, 33),
  ),
  const Color.fromARGB(255, 242, 229, 188),
);
